# apacheconfig

~~~
apacheconfig: Gérer la configuration d'un serveur web apache

USAGE
    apacheconfig -c
    apacheconfig -t -- args...

OPTIONS
    -c, --create
        Créer un nouveau répertoire de configuration pour un hôte
    -d, --destdir DESTDIR[=apacheconfig]
        Nom du répertoire local de configuration.
    -f,--full
    --partial
        Indiquer respectivement que la configuration est complète ou partielle.
        Avec la configuration complète, le serveur peut être complètement
        configuré avec tous les fichiers présents. Avec la configuration
        partielle, uniquement les informations spécifiques à un service en
        particulier sont disponibles.
        Cette option est utilisée avec --create. Par défaut, la configuration
        est partielle.
        Pour le moment, la seule différence est que --full crée un fichier de
        configuration nommé .apacheconfig alors que --partial crée un fichier
        nommé apacheconfig.conf qui est visible et donc découvrable et éditable
        plus facilement

    -t, --template [OPT]
        Gérer les fichiers du répertoire local avec templatectl. La valeur de
        cette option est utilisée comme argument court pour l'invocation de
        templatectl, e.g
            apacheconfig -tm args
        est équivalent à
            templatectl -m args
        Les arguments qui restent sont passés tels quels à templatectl
        Les options courantes de templatectl -l, -v, -m, -L sont disponibles
        directement
    --help-template
        Afficher l'aide concernent la gestion des templates.
        Equivalent à -t -- --help
    -h, --host HOST
        Spécifier l'hôte. Equivalent à -v host=HOST
    --sysname SYSNAME
    --sysdist SYSDIST
    -s, --sysver SYSVER
        Spécifier la distribution pour laquelle synchroniser le template. Par
        défaut, choisir les valeurs correspondantes au système courant.
        Les options -7 et -8 sont des aliases respectivement pour -s wheezy et
        -s jessie, parce que les fichiers par défaut ont changé à partir de
        debian jessie.

    -u, --update, --deploy
        Mettre à jour la configuration système à partir du répertoire local.
        Lors du déploiement de la configuration, les valeurs des variables
        dynamiques sont remplacées dans les fichiers destination.
        Les arguments qui restent sont passés tels quels à apache_autoconf
    -N, --network-config
        Mettre aussi à jour la configuration réseau.
    -r, --certsdir CERTSDIR
        Spécifier le cas échéant le répertoire contenant les certificats à
        déployer. Cet argument est requis si le répertoire certsconf/ existe,
        sauf si les certificats sont déjà déployés.

    --localhosts
        Créer dans le fichier /etc/hosts tous les noms d'hôte ayant un suffixe
        .local mentionnés dans les fichiers de site. Cette option est utile pour
        le développement et les tests.
    -C, --one-conf CONF
        Ne déployer que le fichier de configuration spécifié. Cette option est
        utilisée avec --deploy et est utile pour le développement et les tests.
    -M, --one-module MODULE
        Ne déployer que le fichier de module spécifié. Cette option est utilisée
        avec --deploy et est utile pour le développement et les tests.
    -S, --one-site SITE
        Ne déployer que le fichier de site spécifié. Cette option est utilisée
        avec --deploy ou --localhosts et est utile pour le développement et les
        tests.

    -k, --new-site HOST.TLD
        Créer une définition pour un nouveau site à partir des fichiers du
        répertoires templates/
    -K, --new-site-templatedir TEMPLATEDIR
        Spécifier le répertoire source pour les templates de site utilisés par
        l'option --new-site. Par défaut, utiliser le répertoire templates/ situé
        dans le répertoire de configuration.
        Si TEMPLATEDIR est un nom simple sans séparateur de chemin '/' et qu'un
        répertoire templates/TEMPLATEDIR existe, alors prendre ce répertoire-là
        comme source.
    --new-site-force
        Avec --new-site, utiliser le nom d'hôte fourni même s'il n'est pas
        pleinement qualifié
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary